#include<bits/stdc++.h>

using namespace std;
int kq(int n)
{	
	int dem=0;
	for(int i=1;i<=n;i++)
	{
		if(n%i==0)
		{
			dem++;
		}
	}
	return dem;
}
int main()
{
	int n;
	int k;
	ifstream f1("BAI1_18.INP");
	ofstream f2("BAI1_18.OUT");
	f1>>n>>k;
	int dem=0;
	for(int i=1;i<=n;i++)
	{
		if(kq(n)==k)
		{
			dem++;
		}
	}
	f2<<dem;
	f1.close();
	f2.close();
}
